%define major		0.0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		pystring
Version:	1.1.4
Release:	%mkrel 2
Summary:	Collection of C++ functions emulating Python's string class methods
Group:		System/Libraries
License:	BSD
URL:		https://github.com/imageworks/pystring
Source0:	https://github.com/imageworks/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-improve-CMake-configuration.patch
Patch2:		0001-cmake_fix-build-with-cmake-4.0.0.patch
BuildRequires:	cmake
BuildRequires:	gcc-c++

%description
Pystring is a collection of C++ functions which match the interface and
behavior of Python's string class methods using std::string. Implemented in
C++, it does not require or make use of a Python interpreter. It provides
convenience and familiarity for common string operations not included in the
standard C++ library. It's also useful in environments where both C++ and
Python are used.

Overlapping functionality (such as index and slice/substr) of std::string is
included to match Python interfaces.

Originally developed at Sony Pictures Imageworks.
http://opensource.imageworks.com/

%package -n %{libname}
Summary:	Collection of C++ functions emulating Python's string class methods
Group:		System/Libraries

%description -n %{libname}
Pystring is a collection of C++ functions which match the interface and
behavior of Python's string class methods using std::string. Implemented in
C++, it does not require or make use of a Python interpreter. It provides
convenience and familiarity for common string operations not included in the
standard C++ library. It's also useful in environments where both C++ and
Python are used.

Overlapping functionality (such as index and slice/substr) of std::string is
included to match Python interfaces.

Originally developed at Sony Pictures Imageworks.
http://opensource.imageworks.com/

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name} library.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
ctest -C %{_vpath_builddir}

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libpystring.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/pystring/
%{_libdir}/libpystring.so
%{_libdir}/cmake/pystring/


%changelog
* Tue Jul 01 2025 daviddavid <daviddavid> 1.1.4-2.mga10
+ Revision: 2233283
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Mon Jan 23 2023 daviddavid <daviddavid> 1.1.4-1.mga9
+ Revision: 1934960
- new version: 1.1.4

* Thu Mar 17 2022 umeabot <umeabot> 1.1.3-2.mga9
+ Revision: 1796380
- Mageia 9 Mass Rebuild

* Sun Jun 06 2021 daviddavid <daviddavid> 1.1.3-1.mga9
+ Revision: 1729847
- initial package pystring (needed for opencolorio)

